Bug 1753162 - Josm must provide signpost-core or not require it
Summary: Josm must provide signpost-core or not require it
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: josm
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jelen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-18 09:52 UTC by Vasiliy Glazov
Modified: 2019-10-09 16:52 UTC (History)
2 users (show)

Fixed In Version: josm-0-0.101.15322svn.fc31 josm-0-0.103.15390svn.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-27 01:28:54 UTC
Type: Bug


Attachments (Terms of Use)

Description Vasiliy Glazov 2019-09-18 09:52:00 UTC
Description of problem:
JOSM can't be installed.


Version-Release number of selected component (if applicable):
josm-0-0.100.15322svn.fc31.noarch

How reproducible:
Always


Steps to Reproduce:
1. dnf install josm


Actual results:
 Problem: conflicting requests
  - nothing provides module(platform:f30) needed by module octave:5.1:3020190619125442:a5b0195c-0.x86_64
Error: 
 Problem: cannot install the best candidate for the job
  - nothing provides signpost-core >= 1.2.1.1 needed by josm-0-0.100.15322svn.fc31.noarch

Expected results:
Normal install.

Additional info:
You need remove dependency signpost-core if you bundled it.

Comment 1 Jakub Jelen 2019-09-18 10:05:07 UTC
Thank you for the report. I removed the build-dependency, but somehow missed the Requires. I will issue the updates soon.

Comment 2 Fedora Update System 2019-09-18 11:24:19 UTC
FEDORA-2019-ac04bd5b8c has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ac04bd5b8c

Comment 3 Jakub Jelen 2019-09-18 11:24:53 UTC
Please retry with the attached update/build.

Comment 4 Fedora Update System 2019-09-19 02:30:05 UTC
josm-0-0.101.15322svn.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ac04bd5b8c

Comment 5 Fedora Update System 2019-09-27 01:28:54 UTC
josm-0-0.101.15322svn.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2019-09-30 15:25:47 UTC
FEDORA-2019-ea006aeba8 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ea006aeba8

Comment 7 Fedora Update System 2019-10-01 01:01:47 UTC
josm-0-0.103.15390svn.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ea006aeba8

Comment 8 Fedora Update System 2019-10-09 16:52:58 UTC
josm-0-0.103.15390svn.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.